commit 26358b26fb3ec62da3b1c43db94be994abc29f64
Author: David Mohr <david@mcbf.net>
Date:   Sun May 24 13:30:04 2015 -0600

    Tiny fix: correctly initialize variable.
    
    This code path was in practice probably never taken, but it's good to
    fix anyway. Thanks clang!

diff --git a/xfburn/xfburn-blank-dialog.c b/xfburn/xfburn-blank-dialog.c
index c2e699e..64ec8c0 100644
--- a/xfburn/xfburn-blank-dialog.c
+++ b/xfburn/xfburn-blank-dialog.c
@@ -484,9 +484,12 @@ get_selected_mode (XfburnBlankDialogPrivate *priv)
 
   model = gtk_combo_box_get_model (GTK_COMBO_BOX (priv->combo_type));
   ret = gtk_combo_box_get_active_iter (GTK_COMBO_BOX (priv->combo_type), &iter);
-  if (ret)
+  if (ret) {
     gtk_tree_model_get (model, &iter, BLANK_COMBO_MODE_COLUMN, &blank_mode, -1);
-
+  } else {
+    g_warning("No blank mode selected, using default");
+    blank_mode = XFBURN_BLANK_FAST;
+  }
   return blank_mode;
 }
 
